Forum Ametys

Forum de la communauté Ametys

You are not logged in.

#1 14/11/2016 16:03:44

alexB
Guest
Registered: 18/06/2015
Posts: 22

Liens vers ELP

Bonjour,

J'ai un problème de lien suite au passage de la version 2.3 à 2.5 d'Ametys ODF.
En effet, dans l'affichage de l'offre de formation (notamment l'onglet programme), les liens vers les ELPs ne fonctionnent plus.

Les liens sont cependant valides quand on a une organisation de la forme :
formation -> semestre -> ELPs
Mais pas quand on utilise des parcours :
formation -> parcours -> semestre -> ELPs

Je précise que le script mis à disposition dans le manuel de migration technique (2.4.x vers 2.5.x) a été lancé.

Cordialement,

Offline

#2 16/11/2016 15:18:43

Laurence Aumeunier
Expert Team
Registered: 10/08/2010
Posts: 142

Re: Liens vers ELP

Bonjour,

Quelle version 2.5.x exactement utilisez-vous ? Je viens de tester sur notre demo en ligne, qui est une 2.5.3 (http://demo.ametys.org/odf). La formation "Licence Histoire et Géographie" est composé également comme suit : formation -> parcours -> semestre -> ELPs. Les liens vers les ELPs fonctionnent.

http://demo.ametys.org/odf/live/www/fr/ … r3x0o.html


Laurence Aumeunier
Ametys Expert

Offline

#3 16/11/2016 16:24:05

alexB
Guest
Registered: 18/06/2015
Posts: 22

Re: Liens vers ELP

Bonjour,

Effectivement il n'y a pas de problème sur le site de démonstration.

Il s'agit de la version 2.5.0.

Cordialement,

Last edited by alexB (16/11/2016 16:24:23)

Offline

#4 16/11/2016 16:45:19

Laurence Aumeunier
Expert Team
Registered: 10/08/2010
Posts: 142

Re: Liens vers ELP

La correction a du être apportée dans la version 2.5.1, 2.5.2 ou 2.5.3.
Je vous invite à passer directement à la version 2.5.3 car cela nécessite qu'une petite migration technique: https://wiki.ametys.org/display/ODF20/M … sion+2.5.3
(pas de migration nécessaire entre la 2.5.0 et la 2.5.2)


Laurence Aumeunier
Ametys Expert

Offline

#5 17/11/2016 12:31:13

alexB
Guest
Registered: 18/06/2015
Posts: 22

Re: Liens vers ELP

Bonjour,

Merci pour votre aide!

A première vu le passage à la version 2.5.2 corrige l'affichage des ELPs.

Cependant j'ai un soucis avec le plugin workflow suite à la mise à jour. En effet le passage de ametys-plugin-workflow-1.5.0.jar à ametys-plugin-workflow-1.6.0.jar provoque l'erreur suivante (cf. pj) au lancement de l'application.

L'application se lance avec la version 1.5.0.

Cordialement,

Last edited by alexB (17/11/2016 12:32:59)

Offline

#6 17/11/2016 12:45:49

Raphaël Franchet
Expert Team
From: Toulouse
Registered: 10/08/2010
Posts: 1,091

Re: Liens vers ELP

Pouvez-vous lister les fichier "ametys" que vous avez dans WEB-INF/lib ?


Raphael Franchet
Expert Ametys

Offline

#7 17/11/2016 12:52:42

alexB
Guest
Registered: 18/06/2015
Posts: 22

Re: Liens vers ELP

Bonjour,

Les voici en PJ.

Offline

Board footer

Powered by FluxBB